*
* Sample for printing two ore more barcodes beside
*
* It will generate a printout that looks like:
*
*
*                               Thats line 1
*                               Thats line 2
*                               Thats line 3
*                               Thats line 4
*
*
*---------------------------------------------------------------------------
FUNCTION Main()
LOCAL oPe,cBar1,cBar2,ni,nBarLines := 4
*
oPE := Pepageprint():New(cPDFFile,cDevice)      && Create class
*
* generate pseudo barcode
*
cBar1 := Pe25int("12345")
cBar2 := Pe39("12345")
*
BEGIN SEQUENCE
   *
   FOR ni := 1 TO nBarLines                     && Process for each line
      *
      *
      * print first barcode, but only one line at a time
      *
      oPE:Col(5)                                && move to col 5
      oPE:Bcprint(cBar1,10,1)                   && print a barcode 10 colummns x 1 lines
      *
      * print second barcode in this line
      *
      oPE:Col(25)                               && move to col 25
      oPE:Bcprint(cBar1,10,1)                   && print a barcode 10 colummns x 1 lines
      *
      * print a text in right of the second barcode
      *
      oPE:Col(45)                               && move to col 45
      oPE:Print("Thats line " + Ltrim(Str(ni))) && print a text
      *
      * make a newline
      *
      oPE:Newline()
      *
   NEXT
   *
   oPE:End()                                    && end printing
END
*
Return(NIL)
*---------------------------------------------------------------------------
*---------------------------------------------------------------------------
